### Constructor

# Phosh RotationManager new

#### Declaration [src]

    PhoshRotationManager*
    phosh_rotation_manager_new (
      PhoshSensorProxyManager* sensor_proxy_manager,
      PhoshLockscreenManager* lockscreen_manager,
      PhoshMonitor* monitor
    )

#### Description

No description available.

#### Parameters

`sensor_proxy_manager`

  Type: `PhoshSensorProxyManager`

  No description available.

  The data is owned by the caller of the function.

`lockscreen_manager`

  Type: `PhoshLockscreenManager`

  No description available.

  The data is owned by the caller of the function.

`monitor`

  Type: `PhoshMonitor`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshRotationManager`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.